#include <stdio.h>
#include "gtall.h"

int CloseCB(GtBase *obj,GtCDPtr cd,GtUDPtr ud)
{
	obj=obj;
	cd=cd;
	((GtApp *)ud)->BreakLoop();
	return(GTCB_CONT);
}

int main(int argc,char **argv)
{
	GtApp *app;
	GtAppDisp *dsp;
	GtAppShell *shell;
	GtGroup *g;
	GtMatrix *m;
	GtButton *b;
	GtScrWindow *sw;
	ulong cols[256];
	int n;
	
	app=GtMkApp(NULL);
	app->SetupRes(&argc,argv);
	dsp=GtMkAppDisp(app,NULL);
	shell=GtMkAppShell("shell",(GtManager *)dsp,NULL);
	shell->AddCB(GT_Close,CloseCB,app);
	g=GtMkGroup("group",shell,GT_Orient,GTO_VERT,GT_DONE);
	m=GtMkMatrix("mat",g,
		GT_Columns,2,
		GT_Rows,2,
		GT_DONE);
	b=GtMkButton("b1",m,NULL);
	GtMkLabel("label1",b,NULL);
	b=GtMkButton("b2",m,NULL);
	GtMkLabel("lab2",b,NULL);
	b=GtMkButton("b3",m,GT_Disabled,TRUE,GT_DONE);
	GtMkLabel("labelstring3",b,GT_Disabled,TRUE,GT_DONE);
	for(n=0; n<256; n++)
		cols[n]=n;
	GtMkPalette("pal",g,
		GT_ColorArray,cols,
		GT_Colors,85,
		GT_DONE);
	sw=GtMkScrWindow("scrwin",g,GT_Delay,25,GT_DONE);
	GtMkLabel("scrlab",sw->GetViewPort(),NULL);
	shell->Build();
	app->EventLoop(GTAM_LOOP);
	GtDestroy(app);
}
